Subject: Re: lex and yacc...
From: "Raju K. V." <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 20 May 1999 15:53:52 +0530 (IST)

hi,

 I dont think cygwin has lex and yacc. It does have flex and bison, but I
cant say that they are fully compatible. Because I have come across
situation where files written for lex (and yacc) give errors when used
with flex (bison). I suppose the only solution is to rewrite the lex and
yacc (.l and .y) files so that they can be used with flex and bison. You
should be very particular about using lex(or yacc) provided variables as
some of them ar not available in flex ( or bison). I suppose flex and
bison do have any advantage over lex and yacc but still there are
incompatible issues.

Sorry if I could not be of much help.

Thanks,
Raju

On 20 May 1999 [email-masked] wrote:

> Hi,anyone here has used the lex and yacc in the cygwin?
> I found a byacc and a bison, a flex and a flex++,
> but I am not sure of their usage.Is there anything different
> from the lex,yacc of unix?
> 
> 
> 
> 
> 
> __________________________________________________
> ��ӭʹ���׶�������ѵ�������http://freemail.263.net
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]